Categories:
  - Internet
License: BSD-3-Clause
AuthorName: Marcos Diez
AuthorEmail: android@webdanfe.com.br
WebSite: https://www.webdanfe.com.br/
SourceCode: https://github.com/marcosdiez/shareviahttp
IssueTracker: https://github.com/marcosdiez/shareviahttp/issues
Changelog: https://github.com/marcosdiez/shareviahttp#changelog

AutoName: Share via HTTP
Description: |-
  N.B The app doesn't make an entry in the app list: only the share menu.

  Share files from your phone to one or many, quickly and easily. Just share the
  item via the Share Menu and a mini web server will be started allowing others to
  download the file. If there are multiple files a zip archive will be created on
  the fly. If https://f-droid.org/packages/com.google.zxing.client.android is installed a QR code can be
  produced with the URL. It will only work if the recipient is on the same LAN if
  you use WiFI but should work anywhere if you use GSM (2G/3G), though more
  slowly. The server can be stopped at any time from the screen that shows the URL
  (press the back button if you're on the barcode).

RepoType: git
Repo: https://github.com/marcosdiez/shareviahttp.git

Builds:
  - versionName: '1.10'
    versionCode: 11
    commit: f6566f6ae61d
    subdir: ShareViaHttp
    prebuild: wget http://repo1.maven.org/maven2/com/googlecode/androidannotations/androidannotations/2.5.1/androidannotations-2.5.1.jar
      -P libs/
    target: android-15

  - versionName: '1.11'
    versionCode: 12
    commit: ffd7026be9d0
    subdir: ShareViaHttp
    prebuild: wget http://repo1.maven.org/maven2/com/googlecode/androidannotations/androidannotations/2.5.1/androidannotations-2.5.1.jar
      -P libs/

  - versionName: '2.0'
    versionCode: 20
    commit: de2048954fbd0ca0b72159ba31be53d7eacffcd3
    subdir: ShareViaHttp/app
    gradle:
      - yes

  - versionName: 2.0.1
    versionCode: 21
    commit: 93d6156cc3072904d89c908a5dd44ab01e42834c
    subdir: ShareViaHttp/app
    gradle:
      - yes

  - versionName: 2.0.3
    versionCode: 23
    commit: 42c87d73360d3d487818df3c201554a3fb06d25f
    subdir: ShareViaHttp/app
    gradle:
      - yes

  - versionName: 2.0.4
    versionCode: 24
    commit: 06d7a0ff71c7902baf6a75354db23b1ec1f8f41b
    subdir: ShareViaHttp/app
    gradle:
      - yes

  - versionName: 2.0.5
    versionCode: 25
    commit: 438d2ad4dc160a65fc25cdc02e17a5da9afeac2d
    subdir: ShareViaHttp/app
    gradle:
      - yes

  - versionName: 2.0.8
    versionCode: 28
    commit: v2.0.8
    subdir: ShareViaHttp/app
    gradle:
      - yes

  - versionName: 2.0.9
    versionCode: 29
    commit: v2.0.9
    subdir: ShareViaHttp/app
    gradle:
      - yes
    prebuild: sed -i -e '/jcenter/a google()' ../build.gradle

  - versionName: 2.0.12
    versionCode: 31
    commit: 1295f2da00920650c8505aa20c2abf06e054e5a6
    subdir: ShareViaHttp/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/jcenter/a google()' ../build.gradle

  - versionName: 2.0.14
    versionCode: 34
    commit: 007da94ddbcb4f30349471e674c865951b07a988
    subdir: ShareViaHttp/app
    gradle:
      - yes
    prebuild: sed -i -e '/jcenter/a google()' ../build.gradle

  - versionName: 2.0.15
    versionCode: 36
    commit: 628d27978d4c645e885e10a63f76f48d69ee4a0b
    subdir: ShareViaHttp/app
    gradle:
      - yes
    prebuild: sed -i -e '/jcenter/a google()' ../build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[0-9\.]+$
CurrentVersion: 2.0.15
CurrentVersionCode: 36
